Subject: bug#33602: 27.0.50; Compiling no file at

From: martin rudalics <[email-masked]>
Date: Fri, 07 Dec 2018 14:52:00 +0100

> Yes.  I put some enhancements into the byte compiler's warning handler
 > very recently, and suspect that has triggered some existing problem, and
 > that is what you are seeing.
 >
 > Having grepped Emacs's source, it seems like the byte compiler is the
 > only bit that writes "Compiling no file at ..." to the buffer
 > *Compile-Log*.  There are quite a few Emacs functions which call the
 > byte compiler, even though they are not byte compilations themselves.
 >
 > Would you be prepared to help us with a bit of debugging?  What would be
 > useful is for you to "bisect" your .emacs file.
 >
 > That is, comment out the second half of it (more or less), start Emacs
 > and note whether the silly warning happens.  If it does, comment out the
 > last three quarters (more or less) of .emacs, if it doesn't, comment
 > out the first quarter.  And so on.
 >
 > This should quickly home in on the form in your .emacs which is
 > triggering the bug in Emacs.  Please tell us what this form is.  It
 > would help greatly in solving the problem
 >
 > @Colin: any chance you could do the same, please.
 >
 >> Regards M
 >
 > By the way, would you please leave in the mailing list address as a Cc:,
 > so that everybody can see what's happening.  Thanks!

FWIW the problem is in package.el.  Have a look at the fix I just posted.

martin